(function (cjs, an) {

var p; // shortcut to reference prototypes
var lib={};var ss={};var img={};
lib.ssMetadata = [
		{name:"NERO_atlas_", frames: [[0,1505,1409,364],[601,1245,1146,207],[601,594,886,313],[601,909,729,334],[0,0,1144,527],[0,529,599,974],[1489,594,493,227],[1332,909,318,277],[1411,1454,318,277],[1411,1733,318,277],[1652,823,318,277],[1146,0,826,592]]},
		{name:"NERO_atlas_2", frames: [[463,0,23,323],[320,0,98,178],[417,325,62,39],[331,482,126,48],[417,366,62,39],[203,482,126,48],[417,407,60,39],[203,532,126,48],[420,0,41,293],[0,0,318,277],[203,279,212,201],[417,448,80,26],[0,279,201,323]]}
];


// symbols:



(lib.CachedTexturedBitmap_465 = function() {
	this.initialize(ss["NERO_atlas_"]);
	this.gotoAndStop(0);
}).prototype = p = new cjs.Sprite();



(lib.CachedTexturedBitmap_466 = function() {
	this.initialize(ss["NERO_atlas_"]);
	this.gotoAndStop(1);
}).prototype = p = new cjs.Sprite();



(lib.CachedTexturedBitmap_467 = function() {
	this.initialize(ss["NERO_atlas_"]);
	this.gotoAndStop(2);
}).prototype = p = new cjs.Sprite();



(lib.CachedTexturedBitmap_468 = function() {
	this.initialize(ss["NERO_atlas_"]);
	this.gotoAndStop(3);
}).prototype = p = new cjs.Sprite();



(lib.CachedTexturedBitmap_469 = function() {
	this.initialize(ss["NERO_atlas_"]);
	this.gotoAndStop(4);
}).prototype = p = new cjs.Sprite();



(lib.CachedTexturedBitmap_470 = function() {
	this.initialize(ss["NERO_atlas_"]);
	this.gotoAndStop(5);
}).prototype = p = new cjs.Sprite();



(lib.CachedTexturedBitmap_471 = function() {
	this.initialize(ss["NERO_atlas_2"]);
	this.gotoAndStop(0);
}).prototype = p = new cjs.Sprite();



(lib.CachedTexturedBitmap_472 = function() {
	this.initialize(ss["NERO_atlas_2"]);
	this.gotoAndStop(1);
}).prototype = p = new cjs.Sprite();



(lib.CachedTexturedBitmap_474 = function() {
	this.initialize(ss["NERO_atlas_2"]);
	this.gotoAndStop(2);
}).prototype = p = new cjs.Sprite();



(lib.CachedTexturedBitmap_475 = function() {
	this.initialize(ss["NERO_atlas_2"]);
	this.gotoAndStop(3);
}).prototype = p = new cjs.Sprite();



(lib.CachedTexturedBitmap_476 = function() {
	this.initialize(ss["NERO_atlas_2"]);
	this.gotoAndStop(4);
}).prototype = p = new cjs.Sprite();



(lib.CachedTexturedBitmap_477 = function() {
	this.initialize(ss["NERO_atlas_2"]);
	this.gotoAndStop(5);
}).prototype = p = new cjs.Sprite();



(lib.CachedTexturedBitmap_478 = function() {
	this.initialize(ss["NERO_atlas_2"]);
	this.gotoAndStop(6);
}).prototype = p = new cjs.Sprite();



(lib.CachedTexturedBitmap_479 = function() {
	this.initialize(ss["NERO_atlas_2"]);
	this.gotoAndStop(7);
}).prototype = p = new cjs.Sprite();



(lib.hlektrodio = function() {
	this.initialize(ss["NERO_atlas_2"]);
	this.gotoAndStop(8);
}).prototype = p = new cjs.Sprite();



(lib.maska = function() {
	this.initialize(ss["NERO_atlas_"]);
	this.gotoAndStop(6);
}).prototype = p = new cjs.Sprite();



(lib.n1 = function() {
	this.initialize(ss["NERO_atlas_2"]);
	this.gotoAndStop(9);
}).prototype = p = new cjs.Sprite();



(lib.n2 = function() {
	this.initialize(ss["NERO_atlas_"]);
	this.gotoAndStop(7);
}).prototype = p = new cjs.Sprite();



(lib.n3 = function() {
	this.initialize(ss["NERO_atlas_"]);
	this.gotoAndStop(8);
}).prototype = p = new cjs.Sprite();



(lib.n4 = function() {
	this.initialize(ss["NERO_atlas_"]);
	this.gotoAndStop(9);
}).prototype = p = new cjs.Sprite();



(lib.n5 = function() {
	this.initialize(ss["NERO_atlas_"]);
	this.gotoAndStop(10);
}).prototype = p = new cjs.Sprite();



(lib.oliko = function() {
	this.initialize(ss["NERO_atlas_"]);
	this.gotoAndStop(11);
}).prototype = p = new cjs.Sprite();



(lib.pinakas = function() {
	this.initialize(ss["NERO_atlas_2"]);
	this.gotoAndStop(10);
}).prototype = p = new cjs.Sprite();



(lib.sthrigma = function() {
	this.initialize(ss["NERO_atlas_2"]);
	this.gotoAndStop(11);
}).prototype = p = new cjs.Sprite();



(lib.ydroboleas = function() {
	this.initialize(ss["NERO_atlas_2"]);
	this.gotoAndStop(12);
}).prototype = p = new cjs.Sprite();
// helper functions:

function mc_symbol_clone() {
	var clone = this._cloneProps(new this.constructor(this.mode, this.startPosition, this.loop));
	clone.gotoAndStop(this.currentFrame);
	clone.paused = this.paused;
	clone.framerate = this.framerate;
	return clone;
}

function getMCSymbolPrototype(symbol, nominalBounds, frameBounds) {
	var prototype = cjs.extend(symbol, cjs.MovieClip);
	prototype.clone = mc_symbol_clone;
	prototype.nominalBounds = nominalBounds;
	prototype.frameBounds = frameBounds;
	return prototype;
	}


(lib.Symbol15 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_1
	this.instance = new lib.CachedTexturedBitmap_478();
	this.instance.parent = this;
	this.instance.setTransform(-14.2,-11.5,0.6095,0.6095);

	this.instance_1 = new lib.CachedTexturedBitmap_477();
	this.instance_1.parent = this;
	this.instance_1.setTransform(-38.4,-14.55,0.6095,0.6095);

	this.text = new cjs.Text("ΟΧΙ", "bold 15px 'Roboto'", "#FFFFFF");
	this.text.lineHeight = 22;
	this.text.lineWidth = 33;
	this.text.parent = this;
	this.text.setTransform(-12.2,-9.55);

	this.instance_2 = new lib.CachedTexturedBitmap_479();
	this.instance_2.parent = this;
	this.instance_2.setTransform(-38.4,-14.55,0.6095,0.6095);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance_1},{t:this.instance}]}).to({state:[{t:this.instance_2},{t:this.text}]},1).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-38.4,-14.5,76.8,33.3);


(lib.Symbol14 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_1
	this.instance = new lib.CachedTexturedBitmap_474();
	this.instance.parent = this;
	this.instance.setTransform(-15.2,-12.4,0.6095,0.6095);

	this.instance_1 = new lib.CachedTexturedBitmap_477();
	this.instance_1.parent = this;
	this.instance_1.setTransform(-38.4,-14.55,0.6095,0.6095);

	this.instance_2 = new lib.CachedTexturedBitmap_476();
	this.instance_2.parent = this;
	this.instance_2.setTransform(-15.2,-12.4,0.6095,0.6095);

	this.instance_3 = new lib.CachedTexturedBitmap_475();
	this.instance_3.parent = this;
	this.instance_3.setTransform(-38.4,-14.55,0.6095,0.6095);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance_1},{t:this.instance}]}).to({state:[{t:this.instance_3},{t:this.instance_2}]},1).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-38.4,-14.5,76.8,29.2);


(lib.Symbol6 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_1
	this.instance = new lib.hlektrodio();
	this.instance.parent = this;
	this.instance.setTransform(-20.5,-146.5);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-20.5,-146.5,41,293);


(lib.Symbol1 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_1
	this.instance = new lib.n1();
	this.instance.parent = this;
	this.instance.setTransform(-159,-138.5);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-159,-138.5,318,277);


(lib.Symbol_12_Layer_1 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_1
	this.instance = new lib.CachedTexturedBitmap_472();
	this.instance.parent = this;
	this.instance.setTransform(-74.3,-135.4,1.52,1.52);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

}).prototype = getMCSymbolPrototype(lib.Symbol_12_Layer_1, null, null);


(lib.Symbol_11_Layer_1 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_1
	this.instance = new lib.CachedTexturedBitmap_471();
	this.instance.parent = this;
	this.instance.setTransform(-6.55,-94.2,0.5841,0.5841);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

}).prototype = getMCSymbolPrototype(lib.Symbol_11_Layer_1, null, null);


(lib.Symbol_10_Layer_1 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_1
	this.instance = new lib.oliko();
	this.instance.parent = this;
	this.instance.setTransform(-414,-316);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

}).prototype = getMCSymbolPrototype(lib.Symbol_10_Layer_1, null, null);


(lib.Symbol_9_Layer_1 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_1
	this.instance = new lib.CachedTexturedBitmap_470();
	this.instance.parent = this;
	this.instance.setTransform(-182.5,-296.65,0.6095,0.6095);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

}).prototype = getMCSymbolPrototype(lib.Symbol_9_Layer_1, null, null);


(lib.Symbol_7_Layer_1 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_1
	this.instance = new lib.CachedTexturedBitmap_469();
	this.instance.parent = this;
	this.instance.setTransform(-348.5,-160.65,0.6095,0.6095);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

}).prototype = getMCSymbolPrototype(lib.Symbol_7_Layer_1, null, null);


(lib.Symbol_5_Layer_1 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_1
	this.instance = new lib.n5();
	this.instance.parent = this;
	this.instance.setTransform(-159,-138.5);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

}).prototype = getMCSymbolPrototype(lib.Symbol_5_Layer_1, null, null);


(lib.Symbol_4_Layer_1copy = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_1
	this.instance = new lib.n4();
	this.instance.parent = this;
	this.instance.setTransform(-159,-138.5);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

}).prototype = getMCSymbolPrototype(lib.Symbol_4_Layer_1copy, null, null);


(lib.Symbol_4_Layer_1 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_1
	this.instance = new lib.ydroboleas();
	this.instance.parent = this;
	this.instance.setTransform(-101,-162);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

}).prototype = getMCSymbolPrototype(lib.Symbol_4_Layer_1, null, null);


(lib.Symbol_3_Layer_1 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_1
	this.instance = new lib.n3();
	this.instance.parent = this;
	this.instance.setTransform(-159,-138.5);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

}).prototype = getMCSymbolPrototype(lib.Symbol_3_Layer_1, null, null);


(lib.Symbol_2_Layer_1 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_1
	this.instance = new lib.n2();
	this.instance.parent = this;
	this.instance.setTransform(-159,-138.5);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

}).prototype = getMCSymbolPrototype(lib.Symbol_2_Layer_1, null, null);


(lib.Scene_1_Actions = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Actions
	this.pisoempros = new cjs.Text("1", "bold 20px 'Times New Roman'", "#000033");
	this.pisoempros.name = "pisoempros";
	this.pisoempros.textAlign = "center";
	this.pisoempros.lineHeight = 24;
	this.pisoempros.lineWidth = 166;
	this.pisoempros.parent = this;
	this.pisoempros.setTransform(287.6,-102.3,0.8203,0.8203);

	this.instance = new lib.CachedTexturedBitmap_465();
	this.instance.parent = this;
	this.instance.setTransform(552.8,-318.5,0.5,0.5);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance},{t:this.pisoempros}]}).wait(1));

}).prototype = getMCSymbolPrototype(lib.Scene_1_Actions, null, null);


(lib.Symbol12 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_1_obj_
	this.Layer_1 = new lib.Symbol_12_Layer_1();
	this.Layer_1.name = "Layer_1";
	this.Layer_1.parent = this;
	this.Layer_1.setTransform(0.1,-0.1,1,1,0,0,0,0.1,-0.1);
	this.Layer_1.depth = 0;
	this.Layer_1.isAttachedToCamera = 0
	this.Layer_1.isAttachedToMask = 0
	this.Layer_1.layerDepth = 0
	this.Layer_1.layerIndex = 0
	this.Layer_1.maskLayerName = 0

	this.timeline.addTween(cjs.Tween.get(this.Layer_1).wait(1));

}).prototype = getMCSymbolPrototype(lib.Symbol12, new cjs.Rectangle(-74.3,-135.4,149,270.6), null);


(lib.Symbol11 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_1_obj_
	this.Layer_1 = new lib.Symbol_11_Layer_1();
	this.Layer_1.name = "Layer_1";
	this.Layer_1.parent = this;
	this.Layer_1.setTransform(0.1,0.1,1,1,0,0,0,0.1,0.1);
	this.Layer_1.depth = 0;
	this.Layer_1.isAttachedToCamera = 0
	this.Layer_1.isAttachedToMask = 0
	this.Layer_1.layerDepth = 0
	this.Layer_1.layerIndex = 0
	this.Layer_1.maskLayerName = 0

	this.timeline.addTween(cjs.Tween.get(this.Layer_1).wait(1));

}).prototype = getMCSymbolPrototype(lib.Symbol11, new cjs.Rectangle(-6.5,-94.2,13.4,188.7), null);


(lib.Symbol10 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_1_obj_
	this.Layer_1 = new lib.Symbol_10_Layer_1();
	this.Layer_1.name = "Layer_1";
	this.Layer_1.parent = this;
	this.Layer_1.setTransform(-1,-20,1,1,0,0,0,-1,-20);
	this.Layer_1.depth = 0;
	this.Layer_1.isAttachedToCamera = 0
	this.Layer_1.isAttachedToMask = 0
	this.Layer_1.layerDepth = 0
	this.Layer_1.layerIndex = 0
	this.Layer_1.maskLayerName = 0

	this.timeline.addTween(cjs.Tween.get(this.Layer_1).wait(1));

}).prototype = getMCSymbolPrototype(lib.Symbol10, new cjs.Rectangle(-414,-316,826,592), null);


(lib.Symbol9 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_1_obj_
	this.Layer_1 = new lib.Symbol_9_Layer_1();
	this.Layer_1.name = "Layer_1";
	this.Layer_1.parent = this;
	this.Layer_1.setTransform(0.1,0.1,1,1,0,0,0,0.1,0.1);
	this.Layer_1.depth = 0;
	this.Layer_1.isAttachedToCamera = 0
	this.Layer_1.isAttachedToMask = 0
	this.Layer_1.layerDepth = 0
	this.Layer_1.layerIndex = 0
	this.Layer_1.maskLayerName = 0

	this.timeline.addTween(cjs.Tween.get(this.Layer_1).wait(1));

}).prototype = getMCSymbolPrototype(lib.Symbol9, new cjs.Rectangle(-182.5,-296.6,365.1,593.6), null);


(lib.Symbol7 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_1_obj_
	this.Layer_1 = new lib.Symbol_7_Layer_1();
	this.Layer_1.name = "Layer_1";
	this.Layer_1.parent = this;
	this.Layer_1.setTransform(0.1,-0.1,1,1,0,0,0,0.1,-0.1);
	this.Layer_1.depth = 0;
	this.Layer_1.isAttachedToCamera = 0
	this.Layer_1.isAttachedToMask = 0
	this.Layer_1.layerDepth = 0
	this.Layer_1.layerIndex = 0
	this.Layer_1.maskLayerName = 0

	this.timeline.addTween(cjs.Tween.get(this.Layer_1).wait(1));

}).prototype = getMCSymbolPrototype(lib.Symbol7, new cjs.Rectangle(-348.5,-160.6,697.3,321.2), null);


(lib.Symbol5 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_1_obj_
	this.Layer_1 = new lib.Symbol_5_Layer_1();
	this.Layer_1.name = "Layer_1";
	this.Layer_1.parent = this;
	this.Layer_1.depth = 0;
	this.Layer_1.isAttachedToCamera = 0
	this.Layer_1.isAttachedToMask = 0
	this.Layer_1.layerDepth = 0
	this.Layer_1.layerIndex = 0
	this.Layer_1.maskLayerName = 0

	this.timeline.addTween(cjs.Tween.get(this.Layer_1).wait(1));

}).prototype = getMCSymbolPrototype(lib.Symbol5, new cjs.Rectangle(-159,-138.5,318,277), null);


(lib.Symbol4 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_1_obj_
	this.Layer_1 = new lib.Symbol_4_Layer_1copy();
	this.Layer_1.name = "Layer_1";
	this.Layer_1.parent = this;
	this.Layer_1.depth = 0;
	this.Layer_1.isAttachedToCamera = 0
	this.Layer_1.isAttachedToMask = 0
	this.Layer_1.layerDepth = 0
	this.Layer_1.layerIndex = 0
	this.Layer_1.maskLayerName = 0

	this.timeline.addTween(cjs.Tween.get(this.Layer_1).wait(1));

}).prototype = getMCSymbolPrototype(lib.Symbol4, new cjs.Rectangle(-159,-138.5,318,277), null);


(lib.Symbol3 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_1_obj_
	this.Layer_1 = new lib.Symbol_3_Layer_1();
	this.Layer_1.name = "Layer_1";
	this.Layer_1.parent = this;
	this.Layer_1.depth = 0;
	this.Layer_1.isAttachedToCamera = 0
	this.Layer_1.isAttachedToMask = 0
	this.Layer_1.layerDepth = 0
	this.Layer_1.layerIndex = 0
	this.Layer_1.maskLayerName = 0

	this.timeline.addTween(cjs.Tween.get(this.Layer_1).wait(1));

}).prototype = getMCSymbolPrototype(lib.Symbol3, new cjs.Rectangle(-159,-138.5,318,277), null);


(lib.Symbol2 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_1_obj_
	this.Layer_1 = new lib.Symbol_2_Layer_1();
	this.Layer_1.name = "Layer_1";
	this.Layer_1.parent = this;
	this.Layer_1.depth = 0;
	this.Layer_1.isAttachedToCamera = 0
	this.Layer_1.isAttachedToMask = 0
	this.Layer_1.layerDepth = 0
	this.Layer_1.layerIndex = 0
	this.Layer_1.maskLayerName = 0

	this.timeline.addTween(cjs.Tween.get(this.Layer_1).wait(1));

}).prototype = getMCSymbolPrototype(lib.Symbol2, new cjs.Rectangle(-159,-138.5,318,277), null);


(lib.Scene_1_pano = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// pano
	this.apanthsh = new cjs.Text("", "bold 16px 'Roboto'", "#FFFFFF");
	this.apanthsh.name = "apanthsh";
	this.apanthsh.lineHeight = 23;
	this.apanthsh.lineWidth = 189;
	this.apanthsh.parent = this;
	this.apanthsh.setTransform(304.85,-193.95);

	this.instance = new lib.sthrigma();
	this.instance.parent = this;
	this.instance.setTransform(30,438,0.8203,0.8203);

	this.instance_1 = new lib.sthrigma();
	this.instance_1.parent = this;
	this.instance_1.setTransform(26,440,0.8203,0.8203);

	this.hlektrodio = new lib.Symbol6();
	this.hlektrodio.name = "hlektrodio";
	this.hlektrodio.parent = this;
	this.hlektrodio.setTransform(75.1,379.1,0.8203,0.8203);
	new cjs.ButtonHelper(this.hlektrodio, 0, 1, 1);

	this.oxi1 = new lib.Symbol15();
	this.oxi1.name = "oxi1";
	this.oxi1.parent = this;
	this.oxi1.setTransform(841.9,-68.05,0.8203,0.8203);
	new cjs.ButtonHelper(this.oxi1, 0, 1, 1);

	this.nai1 = new lib.Symbol14();
	this.nai1.name = "nai1";
	this.nai1.parent = this;
	this.nai1.setTransform(553.8,-50.6,0.8203,0.8203);
	new cjs.ButtonHelper(this.nai1, 0, 1, 1);

	this.erothsh = new cjs.Text("ffffffff", "20px 'Roboto'", "#FFFFFF");
	this.erothsh.name = "erothsh";
	this.erothsh.lineHeight = 28;
	this.erothsh.lineWidth = 470;
	this.erothsh.parent = this;
	this.erothsh.setTransform(423.9,-140.6,0.8203,0.8203);

	this.instance_2 = new lib.CachedTexturedBitmap_467();
	this.instance_2.parent = this;
	this.instance_2.setTransform(584.35,-243,0.5,0.5);

	this.bohtheia = new cjs.Text("", "20px 'Roboto'", "#FFFFFF");
	this.bohtheia.name = "bohtheia";
	this.bohtheia.lineHeight = 28;
	this.bohtheia.lineWidth = 405;
	this.bohtheia.parent = this;
	this.bohtheia.setTransform(571.35,34.5533,0.8203,0.8203);

	this.instance_3 = new lib.sthrigma();
	this.instance_3.parent = this;
	this.instance_3.setTransform(318,440,0.8203,0.8203);

	this.instance_4 = new lib.Symbol10();
	this.instance_4.parent = this;
	this.instance_4.setTransform(280.4,369.7,0.8203,0.8203);

	this.instance_5 = new lib.CachedTexturedBitmap_466();
	this.instance_5.parent = this;
	this.instance_5.setTransform(507.1,-190,0.5,0.5);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance_5},{t:this.instance_4},{t:this.instance_3},{t:this.bohtheia},{t:this.instance_2},{t:this.erothsh},{t:this.nai1},{t:this.oxi1},{t:this.hlektrodio},{t:this.instance_1},{t:this.instance},{t:this.apanthsh}]}).wait(1));

}).prototype = getMCSymbolPrototype(lib.Scene_1_pano, null, null);


(lib.Scene_1_mesh = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// mesh
	this.instance = new lib.CachedTexturedBitmap_468();
	this.instance.parent = this;
	this.instance.setTransform(553.25,14.3,0.5,0.5);

	this.instance_1 = new lib.maska();
	this.instance_1.parent = this;
	this.instance_1.setTransform(6,455,0.8203,0.8203);

	this.water = new lib.Symbol7();
	this.water.name = "water";
	this.water.parent = this;
	this.water.setTransform(207.6,725.35,0.4609,0.8203,0,0,0,0.2,0.1);
	this.water.alpha = 0.1914;

	this.krypsimo = new lib.Symbol12();
	this.krypsimo.name = "krypsimo";
	this.krypsimo.parent = this;
	this.krypsimo.setTransform(256.85,639.55,0.1175,0.3289);

	this.trexei = new lib.Symbol11();
	this.trexei.name = "trexei";
	this.trexei.parent = this;
	this.trexei.setTransform(256.6,506.15,0.6712,0.8561,0,0,180,0,0.2);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.trexei},{t:this.krypsimo},{t:this.water},{t:this.instance_1},{t:this.instance}]}).wait(1));

}).prototype = getMCSymbolPrototype(lib.Scene_1_mesh, null, null);


(lib.Scene_1_katokato = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// katokato
	this.fos5 = new lib.Symbol5();
	this.fos5.name = "fos5";
	this.fos5.parent = this;
	this.fos5.setTransform(235.7,135.3,0.8203,0.8203);

	this.fos4 = new lib.Symbol4();
	this.fos4.name = "fos4";
	this.fos4.parent = this;
	this.fos4.setTransform(244.4,135.3,0.8203,0.8203);

	this.fos3 = new lib.Symbol3();
	this.fos3.name = "fos3";
	this.fos3.parent = this;
	this.fos3.setTransform(244.4,135.3,0.8203,0.8203);

	this.fos2 = new lib.Symbol2();
	this.fos2.name = "fos2";
	this.fos2.parent = this;
	this.fos2.setTransform(244.4,135.3,0.8203,0.8203);

	this.fos1 = new lib.Symbol1();
	this.fos1.name = "fos1";
	this.fos1.parent = this;
	this.fos1.setTransform(244.4,135.3,0.8203,0.8203);

	this.instance = new lib.pinakas();
	this.instance.parent = this;
	this.instance.setTransform(150,53,0.8203,0.8203);

	this.panotoy = new lib.Symbol9();
	this.panotoy.name = "panotoy";
	this.panotoy.parent = this;
	this.panotoy.setTransform(544.85,337.9,0.674,0.8203);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.panotoy},{t:this.instance},{t:this.fos1},{t:this.fos2},{t:this.fos3},{t:this.fos4},{t:this.fos5}]}).wait(1));

}).prototype = getMCSymbolPrototype(lib.Scene_1_katokato, null, null);


(lib.Symbol4_1 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_1_obj_
	this.Layer_1_1 = new lib.Symbol_4_Layer_1();
	this.Layer_1_1.name = "Layer_1_1";
	this.Layer_1_1.parent = this;
	this.Layer_1_1.setTransform(-0.5,-0.5,1,1,0,0,0,-0.5,-0.5);
	this.Layer_1_1.depth = 0;
	this.Layer_1_1.isAttachedToCamera = 0
	this.Layer_1_1.isAttachedToMask = 0
	this.Layer_1_1.layerDepth = 0
	this.Layer_1_1.layerIndex = 0
	this.Layer_1_1.maskLayerName = 0

	this.timeline.addTween(cjs.Tween.get(this.Layer_1_1).wait(1));

}).prototype = getMCSymbolPrototype(lib.Symbol4_1, new cjs.Rectangle(-101,-162,201,323), null);


(lib.Scene_1_panopano = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// panopano
	this.ydroboleas = new lib.Symbol4_1();
	this.ydroboleas.name = "ydroboleas";
	this.ydroboleas.parent = this;
	this.ydroboleas.setTransform(898.05,423.85,1.2339,1.0563,0,0,180,-0.1,0.1);
	new cjs.ButtonHelper(this.ydroboleas, 0, 1, 1);

	this.timeline.addTween(cjs.Tween.get(this.ydroboleas).wait(1));

}).prototype = getMCSymbolPrototype(lib.Scene_1_panopano, null, null);


// stage content:
(lib.TELIKO_NERO3grammatateliko = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	this.___GetDepth___ = function(obj) {
		var depth = obj.depth;
		var cameraObj = this.___camera___instance;
		if(cameraObj && cameraObj.depth && obj.isAttachedToCamera)
		{
			depth += depth + cameraObj.depth;
		}
		return depth;
		}
	this.___needSorting___ = function() {
		for (var i = 0; i < this.getNumChildren() - 1; i++)
		{
			var prevDepth = this.___GetDepth___(this.getChildAt(i));
			var nextDepth = this.___GetDepth___(this.getChildAt(i + 1));
			if (prevDepth < nextDepth)
				return true;
		}
		return false;
	}
	this.___sortFunction___ = function(obj1, obj2) {
		return (this.exportRoot.___GetDepth___(obj2) - this.exportRoot.___GetDepth___(obj1));
	}
	this.on('tick', function (event){
		var curTimeline = event.currentTarget;
		if (curTimeline.___needSorting___()){
			this.sortChildren(curTimeline.___sortFunction___);
		}
	});

	// timeline functions:
	this.frame_0 = function() {
		this.pisoempros = this.Actions.pisoempros;
		this.ydroboleas = this.panopano.ydroboleas;
		this.bohtheia = this.pano.bohtheia;
		this.erothsh = this.pano.erothsh;
		this.nai1 = this.pano.nai1;
		this.oxi1 = this.pano.oxi1;
		this.hlektrodio = this.pano.hlektrodio;
		this.apanthsh = this.pano.apanthsh;
		this.trexei = this.mesh.trexei;
		this.krypsimo = this.mesh.krypsimo;
		this.water = this.mesh.water;
		this.panotoy = this.katokato.panotoy;
		this.fos1 = this.katokato.fos1;
		this.fos2 = this.katokato.fos2;
		this.fos3 = this.katokato.fos3;
		this.fos4 = this.katokato.fos4;
		this.fos5 = this.katokato.fos5;
		this.stop();
		stage.mouseMoveOutside = true;
		stage.mouseMoveOutside = true;
		stage.enableMouseOver(20);
		createjs.Touch.enable(this);
		 createjs.Touch.enable(stage);
		 
		this.nai1.alpha=0;
		this.oxi1.alpha=0;
		this.fos1.alpha=0;
		this.fos2.alpha=0;
		this.fos3.alpha=0;
		this.fos4.alpha=0;
		this.fos5.alpha=0;
		this.trexei.alpha=0;
		this.erothsh.text="";
		
		 this.ydroboleas.on("pressmove", function (evt)
		{
		var p = stage.globalToLocal(evt.stageX, evt.stageY);
		evt.currentTarget.x = p.x;
		evt.currentTarget.y =p.y;
		 
		});	
		
		this.bohtheia.text="Σύρε τον υδροβολέα δίπλα στη λεκάνη.";
		
		this.on("tick", update.bind(this));
		function update() {
			
		var xorosydroboleas = this.ydroboleas.localToLocal(0, 0, this.panotoy);
			if (this.panotoy.hitTest(xorosydroboleas.x, xorosydroboleas.y) )
			{
		
		createjs.Tween.get(this.ydroboleas)
				.to({y: 392.9,  x: 385.9},500).to({rotation:45}, 400).wait(5000).to({rotation:0}, 400).to({y: 423,  x: 897},500)
				.wait(10000);;	
			}	
			
			if (this.ydroboleas.rotation==45){this.trexei.alpha=0.2;
				createjs.Tween.get(this.water)
				.to({y: 645.15,  x: 207.5},5000).wait(5000);
				createjs.Tween.get(this.krypsimo)
				.to({y: 570,  x: 256},5000).wait(5000);
				}
				if (this.ydroboleas.rotation<=44){this.trexei.alpha=0;};
				
				
				if (this.hlektrodio.y==559){this.ydroboleas.alpha=0};
				
				
				if (this.water.y<=649){this.bohtheia.text="Κάνε κλικ στο αριστερό ηλεκτρόδιο.";
				
				this.hlektrodio.addEventListener("click", fl_MouseClickHandler.bind(this));
		
		function fl_MouseClickHandler()
		{
			createjs.Tween.get(this.hlektrodio)
				.to({y: 463,  x: 75},500).wait(100);
				
		this.erothsh.text="Είναι το απιονισμένο νερό καλός αγωγός του ηλεκτρισμού;"	;	
		this.nai1.alpha=1;
		this.oxi1.alpha=1;
				
				}}
		
			
		}
		
		
		
		this.nai1.addEventListener("click", fl2_MouseClickHandler.bind(this));
		
		function fl2_MouseClickHandler()
		{
		this.apanthsh.text="ΛΑΘΟΣ ΑΠΑΝΤΗΣΗ";
			this.oxi1.alpha=0;
		}
		
		
		
		this.oxi1.addEventListener("click", fl1_MouseClickHandler_2.bind(this));
		
		function fl1_MouseClickHandler_2()
		{
		this.apanthsh.text="ΣΩΣΤΗ ΑΠΑΝΤΗΣΗ";
			this.nai1.alpha=0;
		}
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

	// Actions_obj_
	this.Actions = new lib.Scene_1_Actions();
	this.Actions.name = "Actions";
	this.Actions.parent = this;
	this.Actions.setTransform(737.6,-181.6,1,1,0,0,0,737.6,-181.6);
	this.Actions.depth = 0;
	this.Actions.isAttachedToCamera = 0
	this.Actions.isAttachedToMask = 0
	this.Actions.layerDepth = 0
	this.Actions.layerIndex = 0
	this.Actions.maskLayerName = 0

	this.timeline.addTween(cjs.Tween.get(this.Actions).wait(1));

	// panopano_obj_
	this.panopano = new lib.Scene_1_panopano();
	this.panopano.name = "panopano";
	this.panopano.parent = this;
	this.panopano.setTransform(898.6,423.2,1,1,0,0,0,898.6,423.2);
	this.panopano.depth = 0;
	this.panopano.isAttachedToCamera = 0
	this.panopano.isAttachedToMask = 0
	this.panopano.layerDepth = 0
	this.panopano.layerIndex = 1
	this.panopano.maskLayerName = 0

	this.timeline.addTween(cjs.Tween.get(this.panopano).wait(1));

	// pano_obj_
	this.pano = new lib.Scene_1_pano();
	this.pano.name = "pano";
	this.pano.parent = this;
	this.pano.setTransform(510.4,176.6,1,1,0,0,0,510.4,176.6);
	this.pano.depth = 0;
	this.pano.isAttachedToCamera = 0
	this.pano.isAttachedToMask = 0
	this.pano.layerDepth = 0
	this.pano.layerIndex = 2
	this.pano.maskLayerName = 0

	this.timeline.addTween(cjs.Tween.get(this.pano).wait(1));

	// mesh_obj_
	this.mesh = new lib.Scene_1_mesh();
	this.mesh.name = "mesh";
	this.mesh.parent = this;
	this.mesh.setTransform(461.9,435.6,1,1,0,0,0,461.9,435.6);
	this.mesh.depth = 0;
	this.mesh.isAttachedToCamera = 0
	this.mesh.isAttachedToMask = 0
	this.mesh.layerDepth = 0
	this.mesh.layerIndex = 3
	this.mesh.maskLayerName = 0

	this.timeline.addTween(cjs.Tween.get(this.mesh).wait(1));

	// katokato_obj_
	this.katokato = new lib.Scene_1_katokato();
	this.katokato.name = "katokato";
	this.katokato.parent = this;
	this.katokato.setTransform(386.6,301.6,1,1,0,0,0,386.6,301.6);
	this.katokato.depth = 0;
	this.katokato.isAttachedToCamera = 0
	this.katokato.isAttachedToMask = 0
	this.katokato.layerDepth = 0
	this.katokato.layerIndex = 4
	this.katokato.maskLayerName = 0

	this.timeline.addTween(cjs.Tween.get(this.katokato).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(465.8,-23.5,791.5,880.5);
// library properties:
lib.properties = {
	id: '17885704E42D2F4193E00E5C4B4AE329',
	width: 1050,
	height: 590,
	fps: 24,
	color: "#999999",
	opacity: 1.00,
	manifest: [
		{src:"images/NERO_atlas_.png", id:"NERO_atlas_"},
		{src:"images/NERO_atlas_2.png", id:"NERO_atlas_2"}
	],
	preloads: []
};



// bootstrap callback support:

(lib.Stage = function(canvas) {
	createjs.Stage.call(this, canvas);
}).prototype = p = new createjs.Stage();

p.setAutoPlay = function(autoPlay) {
	this.tickEnabled = autoPlay;
}
p.play = function() { this.tickEnabled = true; this.getChildAt(0).gotoAndPlay(this.getTimelinePosition()) }
p.stop = function(ms) { if(ms) this.seek(ms); this.tickEnabled = false; }
p.seek = function(ms) { this.tickEnabled = true; this.getChildAt(0).gotoAndStop(lib.properties.fps * ms / 1000); }
p.getDuration = function() { return this.getChildAt(0).totalFrames / lib.properties.fps * 1000; }

p.getTimelinePosition = function() { return this.getChildAt(0).currentFrame / lib.properties.fps * 1000; }

an.bootcompsLoaded = an.bootcompsLoaded || [];
if(!an.bootstrapListeners) {
	an.bootstrapListeners=[];
}

an.bootstrapCallback=function(fnCallback) {
	an.bootstrapListeners.push(fnCallback);
	if(an.bootcompsLoaded.length > 0) {
		for(var i=0; i<an.bootcompsLoaded.length; ++i) {
			fnCallback(an.bootcompsLoaded[i]);
		}
	}
};

an.compositions = an.compositions || {};
an.compositions['17885704E42D2F4193E00E5C4B4AE329'] = {
	getStage: function() { return exportRoot.getStage(); },
	getLibrary: function() { return lib; },
	getSpriteSheet: function() { return ss; },
	getImages: function() { return img; }
};

an.compositionLoaded = function(id) {
	an.bootcompsLoaded.push(id);
	for(var j=0; j<an.bootstrapListeners.length; j++) {
		an.bootstrapListeners[j](id);
	}
}

an.getComposition = function(id) {
	return an.compositions[id];
}


// Layer depth API : 

AdobeAn.Layer = new function() {
	this.getLayerZDepth = function(timeline, layerName)
	{
		if(layerName === "Camera")
		layerName = "___camera___instance";
		var script = "if(timeline." + layerName + ") timeline." + layerName + ".depth; else 0;";
		return eval(script);
	}
	this.setLayerZDepth = function(timeline, layerName, zDepth)
	{
		const MAX_zDepth = 10000;
		const MIN_zDepth = -5000;
		if(zDepth > MAX_zDepth)
			zDepth = MAX_zDepth;
		else if(zDepth < MIN_zDepth)
			zDepth = MIN_zDepth;
		if(layerName === "Camera")
		layerName = "___camera___instance";
		var script = "if(timeline." + layerName + ") timeline." + layerName + ".depth = " + zDepth + ";";
		eval(script);
	}
	this.removeLayer = function(timeline, layerName)
	{
		if(layerName === "Camera")
		layerName = "___camera___instance";
		var script = "if(timeline." + layerName + ") timeline.removeChild(timeline." + layerName + ");";
		eval(script);
	}
	this.addNewLayer = function(timeline, layerName, zDepth)
	{
		if(layerName === "Camera")
		layerName = "___camera___instance";
		zDepth = typeof zDepth !== 'undefined' ? zDepth : 0;
		var layer = new createjs.MovieClip();
		layer.name = layerName;
		layer.depth = zDepth;
		layer.layerIndex = 0;
		timeline.addChild(layer);
	}
}


})(createjs = createjs||{}, AdobeAn = AdobeAn||{});
var createjs, AdobeAn;